Altibase.jdbc.driver

## Class AltibaseDataSource

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AltibaseDataSource

All Implemented Interfaces:
  java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.DataSource

Direct Known Subclasses:
  AltibaseConnectionPoolDataSource, AltibaseXADataSource

    public class AltibaseDataSource
    extends WrapperAdapter
    implements javax.sql.DataSource, java.io.Serializable, javax.naming.Referenceable

See Also:
  Serialized Form

### Field Summary

Fields
`protected java.io.PrintWriter` `mLogWriter`
`protected AltibaseProperties` `mProperties`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseDataSource()`
`AltibaseDataSource(java.lang.String aDataSourceName)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.sql.Connection` `getConnection()`
`java.sql.Connection` `getConnection(java.lang.String aUserName, java.lang.String aPassword)`
`java.lang.String` `getDatabaseName()`
`static javax.sql.DataSource` `getDataSource(java.lang.String aDSN)` aDSN에 해당하는 AltibaseDataSource를 얻는다.
`java.lang.String` `getDataSourceName()`
`java.lang.String` `getDescription()`
`int` `getLoginTimeout()`
`java.io.PrintWriter` `getLogWriter()`
`java.util.logging.Logger` `getParentLogger()`
`java.lang.String` `getPassword()`
`int` `getPortNumber()`
`java.lang.String` `getProperty(java.lang.String aKey)`
`javax.naming.Reference` `getReference()`
`java.lang.String` `getServerName()`
`java.lang.String` `getUser()`
`void` `setDatabaseName(java.lang.String aDBName)`
`void` `setDataSourceName(java.lang.String aDataSourceName)`
`void` `setDescription(java.lang.String aDescription)`
`void` `setLoginTimeout(int aTimeout)`
`void` `setLogWriter(java.io.PrintWriter aWriter)`
`void` `setPassword(java.lang.String aPassword)`
`void` `setPortNumber(int aPortNumber)`
`java.lang.Object` `setProperty(java.lang.String aKey, java.lang.String aValue)`
`void` `setServerName(java.lang.String aServerName)`
`void` `setURL(java.lang.String aURL)`
`void` `setUser(java.lang.String aUser)`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### mProperties

    protected AltibaseProperties mProperties

#### mLogWriter

    protected transient java.io.PrintWriter mLogWriter

### Constructor Detail

#### AltibaseDataSource

    public AltibaseDataSource()

#### AltibaseDataSource

    public AltibaseDataSource(java.lang.String aDataSourceName)

### Method Detail

#### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

#### getConnection

    public java.sql.Connection getConnection(java.lang.String aUserName,
                                             java.lang.String aPassword)
                                      throws java.sql.SQLException

Specified by:
  `getConnection` in interface `javax.sql.DataSource`
Throws:
  `java.sql.SQLException`

#### getLoginTimeout

    public int getLoginTimeout()

Specified by:
  `getLoginTimeout` in interface `javax.sql.CommonDataSource`

#### getLogWriter

    public java.io.PrintWriter getLogWriter()

Specified by:
  `getLogWriter` in interface `javax.sql.CommonDataSource`

#### setLoginTimeout

    public void setLoginTimeout(int aTimeout)

Specified by:
  `setLoginTimeout` in interface `javax.sql.CommonDataSource`

#### setLogWriter

    public void setLogWriter(java.io.PrintWriter aWriter)

Specified by:
  `setLogWriter` in interface `javax.sql.CommonDataSource`

#### getDataSourceName

    public java.lang.String getDataSourceName()

#### getServerName

    public java.lang.String getServerName()

#### getPortNumber

    public int getPortNumber()

#### getDatabaseName

    public java.lang.String getDatabaseName()

#### getUser

    public java.lang.String getUser()

#### getPassword

    public java.lang.String getPassword()

#### getDescription

    public java.lang.String getDescription()

#### getProperty

    public java.lang.String getProperty(java.lang.String aKey)

#### setURL

    public void setURL(java.lang.String aURL)
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setDataSourceName

    public final void setDataSourceName(java.lang.String aDataSourceName)

#### setServerName

    public void setServerName(java.lang.String aServerName)

#### setPortNumber

    public void setPortNumber(int aPortNumber)

#### setDatabaseName

    public void setDatabaseName(java.lang.String aDBName)

#### setUser

    public void setUser(java.lang.String aUser)

#### setPassword

    public void setPassword(java.lang.String aPassword)

#### setDescription

    public void setDescription(java.lang.String aDescription)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setProperty

    public java.lang.Object setProperty(java.lang.String aKey,
                                        java.lang.String aValue)

#### getDataSource

    public static javax.sql.DataSource getDataSource(java.lang.String aDSN)

aDSN에 해당하는 AltibaseDataSource를 얻는다.

Parameters:
  `aDSN` - Data Source Name (case insensitive)
Returns:
  aDSN에 해당하는 AltibaseDataSource 객체. 없으면 null.

#### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

Specified by:
  `getReference` in interface `javax.naming.Referenceable`
Throws:
  `javax.naming.NamingException`

#### getParentLogger

    public java.util.logging.Logger getParentLogger()

Specified by:
  `getParentLogger` in interface `javax.sql.CommonDataSource`